/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records;


import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.UnidentifiedSongDsr;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record10;
import org.jooq.Row10;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class UnidentifiedSongDsrRecord extends UpdatableRecordImpl<UnidentifiedSongDsrRecord> implements Record10<String, String, String, String, String, String, String, Long, String, Long> {

    private static final long serialVersionUID = 371084790;

    /**
     * Setter for <code>unidentified_song_dsr.id_util</code>.
     */
    public void setIdUtil(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>unidentified_song_dsr.id_util</code>.
     */
    public String getIdUtil() {
        return (String) get(0);
    }

    /**
     * Setter for <code>unidentified_song_dsr.hash_id</code>.
     */
    public void setHashId(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>unidentified_song_dsr.hash_id</code>.
     */
    public String getHashId() {
        return (String) get(1);
    }

    /**
     * Setter for <code>unidentified_song_dsr.id_dsr</code>.
     */
    public void setIdDsr(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>unidentified_song_dsr.id_dsr</code>.
     */
    public String getIdDsr() {
        return (String) get(2);
    }

    /**
     * Setter for <code>unidentified_song_dsr.album_title</code>.
     */
    public void setAlbumTitle(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>unidentified_song_dsr.album_title</code>.
     */
    public String getAlbumTitle() {
        return (String) get(3);
    }

    /**
     * Setter for <code>unidentified_song_dsr.proprietary_id</code>.
     */
    public void setProprietaryId(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>unidentified_song_dsr.proprietary_id</code>.
     */
    public String getProprietaryId() {
        return (String) get(4);
    }

    /**
     * Setter for <code>unidentified_song_dsr.isrc</code>.
     */
    public void setIsrc(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>unidentified_song_dsr.isrc</code>.
     */
    public String getIsrc() {
        return (String) get(5);
    }

    /**
     * Setter for <code>unidentified_song_dsr.iswc</code>.
     */
    public void setIswc(String value) {
        set(6, value);
    }

    /**
     * Getter for <code>unidentified_song_dsr.iswc</code>.
     */
    public String getIswc() {
        return (String) get(6);
    }

    /**
     * Setter for <code>unidentified_song_dsr.sales_count</code>.
     */
    public void setSalesCount(Long value) {
        set(7, value);
    }

    /**
     * Getter for <code>unidentified_song_dsr.sales_count</code>.
     */
    public Long getSalesCount() {
        return (Long) get(7);
    }

    /**
     * Setter for <code>unidentified_song_dsr.dsp</code>.
     */
    public void setDsp(String value) {
        set(8, value);
    }

    /**
     * Getter for <code>unidentified_song_dsr.dsp</code>.
     */
    public String getDsp() {
        return (String) get(8);
    }

    /**
     * Setter for <code>unidentified_song_dsr.insert_time</code>.
     */
    public void setInsertTime(Long value) {
        set(9, value);
    }

    /**
     * Getter for <code>unidentified_song_dsr.insert_time</code>.
     */
    public Long getInsertTime() {
        return (Long) get(9);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<String> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record10 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row10<String, String, String, String, String, String, String, Long, String, Long> fieldsRow() {
        return (Row10) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row10<String, String, String, String, String, String, String, Long, String, Long> valuesRow() {
        return (Row10) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field1() {
        return UnidentifiedSongDsr.UNIDENTIFIED_SONG_DSR.ID_UTIL;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field2() {
        return UnidentifiedSongDsr.UNIDENTIFIED_SONG_DSR.HASH_ID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field3() {
        return UnidentifiedSongDsr.UNIDENTIFIED_SONG_DSR.ID_DSR;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field4() {
        return UnidentifiedSongDsr.UNIDENTIFIED_SONG_DSR.ALBUM_TITLE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field5() {
        return UnidentifiedSongDsr.UNIDENTIFIED_SONG_DSR.PROPRIETARY_ID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field6() {
        return UnidentifiedSongDsr.UNIDENTIFIED_SONG_DSR.ISRC;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field7() {
        return UnidentifiedSongDsr.UNIDENTIFIED_SONG_DSR.ISWC;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Long> field8() {
        return UnidentifiedSongDsr.UNIDENTIFIED_SONG_DSR.SALES_COUNT;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field9() {
        return UnidentifiedSongDsr.UNIDENTIFIED_SONG_DSR.DSP;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Long> field10() {
        return UnidentifiedSongDsr.UNIDENTIFIED_SONG_DSR.INSERT_TIME;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component1() {
        return getIdUtil();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component2() {
        return getHashId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component3() {
        return getIdDsr();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component4() {
        return getAlbumTitle();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component5() {
        return getProprietaryId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component6() {
        return getIsrc();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component7() {
        return getIswc();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long component8() {
        return getSalesCount();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component9() {
        return getDsp();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long component10() {
        return getInsertTime();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value1() {
        return getIdUtil();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value2() {
        return getHashId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value3() {
        return getIdDsr();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value4() {
        return getAlbumTitle();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value5() {
        return getProprietaryId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value6() {
        return getIsrc();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value7() {
        return getIswc();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long value8() {
        return getSalesCount();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value9() {
        return getDsp();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long value10() {
        return getInsertTime();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public UnidentifiedSongDsrRecord value1(String value) {
        setIdUtil(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public UnidentifiedSongDsrRecord value2(String value) {
        setHashId(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public UnidentifiedSongDsrRecord value3(String value) {
        setIdDsr(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public UnidentifiedSongDsrRecord value4(String value) {
        setAlbumTitle(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public UnidentifiedSongDsrRecord value5(String value) {
        setProprietaryId(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public UnidentifiedSongDsrRecord value6(String value) {
        setIsrc(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public UnidentifiedSongDsrRecord value7(String value) {
        setIswc(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public UnidentifiedSongDsrRecord value8(Long value) {
        setSalesCount(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public UnidentifiedSongDsrRecord value9(String value) {
        setDsp(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public UnidentifiedSongDsrRecord value10(Long value) {
        setInsertTime(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public UnidentifiedSongDsrRecord values(String value1, String value2, String value3, String value4, String value5, String value6, String value7, Long value8, String value9, Long value10) {
        value1(value1);
        value2(value2);
        value3(value3);
        value4(value4);
        value5(value5);
        value6(value6);
        value7(value7);
        value8(value8);
        value9(value9);
        value10(value10);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached UnidentifiedSongDsrRecord
     */
    public UnidentifiedSongDsrRecord() {
        super(UnidentifiedSongDsr.UNIDENTIFIED_SONG_DSR);
    }

    /**
     * Create a detached, initialised UnidentifiedSongDsrRecord
     */
    public UnidentifiedSongDsrRecord(String idUtil, String hashId, String idDsr, String albumTitle, String proprietaryId, String isrc, String iswc, Long salesCount, String dsp, Long insertTime) {
        super(UnidentifiedSongDsr.UNIDENTIFIED_SONG_DSR);

        set(0, idUtil);
        set(1, hashId);
        set(2, idDsr);
        set(3, albumTitle);
        set(4, proprietaryId);
        set(5, isrc);
        set(6, iswc);
        set(7, salesCount);
        set(8, dsp);
        set(9, insertTime);
    }
}
